#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Generate rpm specfiles from gems
Name:		gem2rpm
Version:	0.9.2
Release:	1
License:	GPL v2+
Group:		Development/Languages
Source0:	https://github.com/lutter/gem2rpm/archive/v%{version}.tar.gz
# Source0-md5:	133c4cae2e26c24a5db0453e2cbe2a72
Source2:	pld.spec.erb
Patch0:		gems.patch
Patch1:		pld.patch
Patch2:		style.patch
URL:		https://github.com/lutter/gem2rpm/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generate source rpms and rpm spec files from a Ruby Gem. The spec file
tries to follow the gem as closely as possible, and be compliant with
the Fedora rubygem packaging guidelines

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp -p %{SOURCE2} templates

%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
%if %{with tests}
# tests need UTF-8 locale
LC_ALL=en_US.UTF-8 \
testrb -Itest test/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{_bindir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}

install -d $RPM_BUILD_ROOT%{_datadir}/ruby/templates
cp -a templates/* $RPM_BUILD_ROOT%{_datadir}/ruby/templates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS
%attr(755,root,root) %{_bindir}/gem2rpm
%{ruby_rubylibdir}/gem2rpm.rb
%{ruby_rubylibdir}/gem2rpm
%{_datadir}/ruby/templates
%changelog
* Fri May 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gem2rpm.git;a=log;h=master

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> fb76f5e
- rel 1

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 0340da3
- do not make bin dir if not needed

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 2d0bd77
- development requirements fill buildrequires

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 5c65f0d
- sort dependencies

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 132e695
- skip noarch if building extensions

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 891ab30
- add tests bcond if spec.development_dependencies present

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 91b8837
- add rubygems test, if required version specified

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 967420b
- sort bin files

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 749a162
- use source tarball; run tests

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> a0c08b4
- up to 0.9.2

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> bf1dd38
- use '>=' not '=>' in specs

* Wed Apr 24 2013 Elan Ruusamäe <glen@delfi.ee> b978c36
- shebang fix

* Wed Apr 24 2013 Elan Ruusamäe <glen@delfi.ee> aed4173
- update pld template to be more pldish

* Wed Apr 24 2013 Elan Ruusamäe <glen@delfi.ee> 7d625e4
- add support for PLD template

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> f51775d
- load rubygems

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> c2e552c
- package templates

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> e8e50a9
- rename to gem2rpm

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> f0d3c1e
- new, version 0.8.1

